{#
/**
 * @file
 * Theme override for a field.
 *
 * To override output, copy the "field.html.twig" from the templates directory
 * to your theme's directory and customize it, just like customizing other
 * Drupal templates such as page.html.twig or node.html.twig.
 *
 * Instead of overriding the theming for all fields, you can also just override
 * theming for a subset of fields using
 * @link themeable Theme hook suggestions. @endlink For example,
 * here are some theme hook suggestions that can be used for a field_foo field
 * on an article node type:
 * - field--node--field-foo--article.html.twig
 * - field--node--field-foo.html.twig
 * - field--node--article.html.twig
 * - field--field-foo.html.twig
 * - field--text-with-summary.html.twig
 * - field.html.twig
 *
 * Available variables:
 * - attributes: HTML attributes for the containing element.
 * - label_hidden: Whether to show the field label or not.
 * - title_attributes: HTML attributes for the title.
 * - label: The label for the field.
 * - multiple: TRUE if a field can contain multiple items.
 * - items: List of all the field items. Each item contains:
 *   - attributes: List of HTML attributes for each item.
 *   - content: The field item's content.
 * - entity_type: The entity type to which the field belongs.
 * - field_name: The name of the field.
 * - field_type: The type of the field.
 * - label_display: The display settings for the label.
 *
 *
 * @see template_preprocess_field()
 */
#}
{%
  set classes = [
  'field',
  'field--name-' ~ field_name|clean_class,
  'field--type-' ~ field_type|clean_class,
  'field--label-' ~ label_display,
  'fullwidthbanner-container',
]
%}
{%
  set title_classes = [
  'field__label',
  label_display == 'visually_hidden' ? 'visually-hidden',
]
%}
{{ attach_library('corporateplus/slider-revolution-video-gallery-init') }}
<div{{ attributes.addClass(classes) }}>
  {% if not label_hidden %}
    <div{{ title_attributes.addClass(title_classes) }}>{{ label }}</div>
  {% endif %}
  <div class="slider-revolution-video-gallery rev_slider slider-revolution fullwidthabanner" data-version="5.4.8">
    <ul>
      {% for item in items %}
        <li data-transition="scaledownfrombottom" data-slotamount="default" data-thumb="{{ item.thumbnail_thumb_styled_uri }}" data-rotate="0" data-fstransition="fade" data-fsmasterspeed="1500" data-fsslotamount="default" data-saveperformance="off" data-title="{{ item.slide_title }}">
          <img src="{{ item.thumbnail_main_styled_uri }}" alt="{{ item.thumbnail_alt }}" data-bgposition="center center" data-bgfit="100% 0%" data-bgrepeat="no-repeat" class="rev-slidebg" data-no-retina>
          {% if item.html5_video %}
            <video onloadstart="this.volume={{ item.volume/100 }}" style="display: inline; width: 100%; height: 100%" controls>
              <source src="{{ item.html5_video }}" type="video/mp4">
              Your browser does not support the video tag.
            </video>
          {% else %}
            <div class="tp-caption tp-resizeme tp-videolayer"
                 data-x="center"
                 data-hoffset=""
                 data-y="center"
                 data-voffset=""
                 data-width="['auto']"
                 data-height="['auto']"
                 data-transform_idle="o:1;"
                 data-transform_in="opacity:0;s:300;e:Power2.easeInOut;"
                 data-transform_out="opacity:0;s:300;s:300;"
                 data-start="500"
                 data-responsive_offset="on"
                {% if item.youtube_id %}
                  data-ytid="{{ item.youtube_id }}"
                  data-videoattributes="version=3&amp;enablejsapi=1&amp;html5=1&amp;wmode=opaque&amp;showinfo=0&amp;ref=0;"
                {% elseif item.vimeo_id %}
                  data-vimeoid="{{ item.vimeo_id }}"
                  data-videoattributes="title=0&amp;byline=0&amp;portrait=0&amp;api=1"
                {% endif %}
                 data-videorate="1"
                 data-videowidth="1170px"
                 data-videoheight="660px"
                 data-videocontrols="controls"
                 data-videoloop="none"
                 data-autoplay="off"
                 data-nextslideatend="true"
                 data-volume="{{ item.volume }}"
                 data-forcerewind="on"
                 style="z-index: 5;">
            </div>
          {% endif %}

          {% if item.links %}
            <div class="related-links">
              {% for link in item.links %}
                {% if link.thumbnail %}
                  <div class="related-link">
                    <a href="{{ link.path }}">
                      <img class="related-thumbnail" src="{{ file_url(link.thumbnail) }}" alt="Thumbnail">
                      <h2 class="related-video-title">{{ link.title }}</h2>
                    </a>
                  </div>
                {% endif %}
              {% endfor %}
            </div>
          {% endif %}
        </li>

      {% endfor %}
    </ul>
  </div>
</div>
